import { Context } from '../context';
import { KubernetesClient } from '../kubernetes-client';
export declare abstract class Analyzer {
    cli: KubernetesClient;
    ctx: Context;
    constructor(context: Context, cli: KubernetesClient);
    abstract analyze(): Promise<void>;
}
